## MacPorts-2.3.5.tar.bz2

=== tests/test/envvariables/DESCRIPTION ===
This test ensures that variables set in the environment are available in the
Portfile. The test runs an 'exec sh' command that exports two variables (ENVA
and ENVB) and checks weather they get in the output file or not.

=== tests/test/dependencies-b/Portfile ===
# $Id$

PortSystem 1.0
name		dependencies-b
version		1
categories	test
maintainers	pguyot@kallisys.net
description	Test port for dependencies
homepage	http://www.macports.org/
platforms	darwin

long_description ${description}

distfiles
use_configure no
build		{}
destroot	{
	system "touch ${destroot}${prefix}/lib/${name}"
}

test {
# testing consists in processing dependencies
}

=== tests/test/dependencies-d/Portfile ===
# $Id$

PortSystem 1.0
name		dependencies-d
version		1
categories	test
maintainers	pguyot@kallisys.net
description	Test port for dependencies
homepage	http://www.macports.org/
platforms	darwin

long_description ${description}

distfiles
use_configure no
build		{}
destroot	{
	system "touch ${destroot}${prefix}/lib/${name}"
}

# Check that macports doesn't chunk on this junk.
# This might mean this port depends on port dependencies-a without variant
# i_want_b (which is a default variant).
depends_lib	port:-i_want_b:dependencies-a

# Check that macports doesn't chunk on this junk, but just generates a warning.
depends {configure {dependencies-a +i_want_b >= 1}}

test {
# testing consists in processing dependencies
}

=== tests/test/dependencies-e/Portfile ===
# $Id$

PortSystem 1.0
name		dependencies-e
version		1
categories	test
maintainers	pguyot@kallisys.net
description	Test port for dependencies
homepage	http://www.macports.org/
platforms	darwin

long_description ${description}

distfiles
use_configure no
build		{}
destroot	{
	system "touch ${destroot}${prefix}/lib/${name}"
}

depends_build \
    port:docbook-xml-4.1.2 \
    port:docbook-xml-4.2 \
    port:docbook-xml-4.3 \
    port:docbook-xml-4.4 \
    port:docbook-xml-4.5

test {
# testing consists in processing dependencies
}

=== tests/test/statefile-version1-outdated/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
# $Id$

PortSystem          1.0
name                statefile-version1-outdated
version             1
categories          test
maintainers         cal
description         Test port for outdated statefiles, version 1
homepage            http://www.macports.org/
platforms           darwin

long_description    ${description}

distfiles

fetch               {}
extract             {}
configure           {}
build               {}
destroot            {
    system "touch ${destroot}${prefix}/lib/${name}"
}

test                {}

=== tests/test/svn-and-patchsites/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
# $Id$

PortSystem          1.0

name                svn-and-patchsites
version             2

categories          test
maintainers         nomaintainer
platforms           darwin

homepage            http://www.macports.org/
description         Test port for svn+distant patchfiles functionalities
long_description    ${description}

# use a MacPorts svn URL so we don't ping a remote SVN server every time the
# tests are run
# taken from the mpvim port
fetch.type          svn
svn.url             https://svn.macports.org/repository/macports/contrib/mpvim

# use a MacPorts distfiles server to avoid hitting a remote server every time
# the tests are run (and possibly causing failures when the server is down)
# taken from the vim port
patch_sites         http://distfiles.macports.org/vim/7.4
patchfiles          7.4.001 \
                    7.4.002 \
                    7.4.003
checksums           7.4.001 md5 f234692c9ab5265ba6ba6f55c0f81764 \
                    7.4.002 md5 a03e1a5ad3722f2011751dda977641af \
                    7.4.003 md5 e6d070f592bb6da4d8cf2f7f134425e5

# Set depends_fetch to be empty to remove the dependency on svn added by base,
# as it is not available in the test suite. Otherwise MacPorts will try to
# verify a subversion port exists.
depends_fetch

# disable the patch phase because the patches would never apply
patch		{}
extract		{}
configure	{}
build		{}
destroot	{
	system "touch ${destroot}${prefix}/lib/${name}"
}

test {
	# test is actually running the fetch target
}

=== tests/test/trace/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
# $Id$

PortSystem          1.0
name                trace
version             1
categories          test
maintainers         pguyot@kallisys.net
description         Test port for -t
homepage            http://www.macports.org/
platforms           darwin

long_description    ${description}

distfiles
use_configure       no
build {}
destroot {
    system "touch ${destroot}${prefix}/lib/${name}"
}

test {
    proc fails {operation} {
        if {![catch $operation]} {
            ui_error "Operation ${operation} succeeded although it should have failed!"
            error "test failure"
        }
    }
    # the port directory is outside of the sandbox; make sure files can't be
    # created, deleted or symlinked into place here
    fails {system "touch ../tracetesttmp/create-trace"}
    fails {system "rm ../tracetesttmp/delete-trace"}
    fails {system "ln -s /usr/include/ ../tracetesttmp/link-trace"}
    # we also don't want mkdir or rmdir here
    fails {system "mkdir ../tracetesttmp/mkdir-trace"}
    fails {system "rmdir ../tracetesttmp/rmdir-trace"}
    # renaming should also be prohibited
    fails {system "mv ../tracetesttmp/rename-trace ../tracetesttmp/rename-new-trace"}

    # test access to /tmp
    system "touch /tmp/hello-trace"
    system "rm /tmp/hello-trace"
    system "rm /tmp/link-trace2"

    # overwriting DYLD_INSERT_LIBRARIES should not allow escaping the sandbox (due to env restoring)
    fails {system "DYLD_INSERT_LIBRARIES= touch ../tracetesttmp/create-trace-modenv"}

    # if the directories already exist, mkdir -p should succeed.
    system "mkdir -p /usr/bin"
}

=== tests/test/xcodeversion/Portfile ===
# $Id$

PortSystem 1.0
name        xcodeversion
version     1
categories  test
maintainers pguyot@kallisys.net
description Test port for \$xcodeversion
homepage    http://www.macports.org/
platforms   darwin

long_description ${description}

distfiles
use_configure no
build       {}
destroot    {
    system "touch ${destroot}${prefix}/lib/${name}"
}

test {
    # rpm-vercomp is now deprecated, change it here too when removed
    # from all ports and base (but keep this test here, meanwhile...)
    # rpm-vercomp removed from ports r89810, from base r89811
    if {$xcodeversion != "" && [vercmp $xcodeversion 2.1] >= 0} {
        ui_msg "xcodeversion >= 2.1"
    } else {
        ui_msg "xcodeversion = $xcodeversion"
    }
    ui_msg "xcodebuildcmd = $xcodebuildcmd"
}
